/* $Id: acconfig.h,v 1.1 1998/12/07 20:42:17 fubobb Exp $ */

/* For current automake/autoconf incompatibility. */
#undef PACKAGE
#undef VERSION

/* Don't use privileged ports */
#undef NOPRIVPORTS

/* Don't actually perform any NFS mounts */
#undef NOMOUNTING

/* Directory containing SFS configuration files */
#undef ETCDIR

/* Directory containing SFS client cache */
#undef SFSDIR

/* Types that <sys/types.h> might neglect to define. */
#undef int32_t
#undef u_int32_t
#undef u_int16_t
#undef u_int8_t
#undef ssize_t

/* FD_SETSIZE can be increased */
#undef HAVE_WIDE_SELECT

/* The nfs_args structure is in <nfs/nfs.h> */
#undef NEED_NFS_NFS_H

/* The nfs_args structure is in <nfs/mount.h> */
#undef NEED_NFS_MOUNT_H

/* The hostname field of nfs_arg is an array */
#undef HAVE_NFSARG_HOSTNAME_ARRAY

/* The addr field of nfs_arg is a pointer */
#undef HAVE_NFSARG_ADDR_PTR

/* Possible fields of an nfs_args structure */
#undef HAVE_NFSMNT_ADDRLEN
#undef HAVE_NFSMNT_SOTYPE
#undef HAVE_NFSMNT_PROTO
#undef HAVE_NFSMNT_FHSIZE
#undef HAVE_NFSMNT_ROOT
#undef HAVE_NFSMNT_FH

/* off_t is 64-bits */
#undef HAVE_OFF_T_64

/* system header files define u_int64_t */
#undef HAVE_U_INT64_T

/* unmount takes a flag argument */
#undef UNMOUNT_FLAGS

/* Have msg_accrights in msghdr struct for fd passing */
#undef HAVE_ACCRIGHTS

/* Have struct cmsghdr for passing file descriptors */
#undef HAVE_CMSGHDR

/* ELAST is defined in errno.h */
#undef ELAST

/* Is <rpc/xdr.h> broken? */
#undef SFS_XDR_BROKEN

/* Does stat have POSIX.1b struct timespec time values? */
#undef SFS_HAVE_STAT_ST_ATIMESPEC
#undef SFS_HAVE_STAT_ST_MTIMESPEC

/* Does the operating system allow socket buffers > 64k? */
#undef SFS_ALLOW_LARGE_BUFFER

/* We have a struct timespec in sys/time.h */
#undef HAVE_TIMESPEC

/* We have a POSIX clock_gettime */
#undef HAVE_CLOCK_GETTIME

/* The clock_gettime function is actually declared in sys/time.h as it
 * is supposed to be... */
#undef HAVE_CLOCK_GETTIME_DECL
