/* $Id: dns.h,v 1.1 1998/12/07 20:42:48 fubobb Exp $ */

struct hostent;

extern int ar_sock;
extern int ar_errno;

/* Extender error types for ar_errno */
#define ARERR_TIMEOUT 0x101    /* Query timed out */
#define ARERR_PTRSPOOF 0x102   /* PTR response was a lie! */
#define ARERR_BADRESP 0x103    /* Nameserver replied with malformed packet */
#define ARERR_CANTSEND 0x104   /* Can't send to name server */
#define ARERR_REQINVAL 0x105   /* Request was for malformed domain name */

void ar_init (void);
struct hostent *ar_dns2h (const unsigned char *, int);
void ar_hostbyname (const char *, void (*) (void *, struct hostent *), void *);
void ar_hostbyaddr (const u_long, void (*) (void *, struct hostent *), void *);
void ar_mxbyname (const char *, void (*) (void *, char **), void *);
