#ifndef _AUTH_DB_AUX_H
#define _AUTH_DB_AUX_H

#include "auth_db.h"

auth_key* new_key(void);
void destroy_key(auth_key *key);
auth_user* new_user(void);
void destroy_user(auth_user *user);
auth_group* new_group(void);
void destroy_group(auth_group *group);
auth_user* read_user(FILE *user_fh);
auth_user* auth_lookupUser(auth_userList *users, int uid);
auth_user* auth_lookupUserByName(auth_userList *users, char* name);
auth_group* read_group(FILE *group_fh, auth_userList *users);
auth_group* auth_lookupGroup(auth_groupList *groups, int gid);
auth_group* auth_lookupGroupByName(auth_groupList *groups, char *name);
void sync_db(auth_database *db);

#endif







