/* $Id: switch.S,v 1.1 1998/10/21 18:34:03 fubobb Exp $ */

#define ST_FLUSH_WINDOWS 3
#define WINDOWSIZE 64
#define STACK_ALIGN     8
#define SA(X)   (((X)+(STACK_ALIGN-1)) & ~(STACK_ALIGN-1))

#define ASENTRY(fn)		  \
	.global	fn		; \
fn:	

/* Please both Solaris and SunOS */
#define ENTRY(x)		  \
	.align 4		; \
	ASENTRY(_##x)		; \
	ASENTRY(x)

	.text

ENTRY(thread_md_switch)
	save	%sp,-SA(WINDOWSIZE),%sp
	std	%fp,[%i0]
	ta	ST_FLUSH_WINDOWS
	ldd	[%i1],%fp
	ret
	 restore

ENTRY(thread_md_begin)
	mov	%i0,%o0
	mov	%i1,%o1
	mov	%i2,%o2
	jmpl	%i3,%g0
	 mov	%g0,%o7

ENTRY(thread_md_getsp)
	add %sp,-SA(WINDOWSIZE),%o0
	retl
	 nop
