/* Borrowed from dm's SFS */
/* $Id: arc4.c,v 1.1 1999/02/16 18:37:44 fubobb Exp $ */

#include "arc4.h"

void
arc4_init (struct arc4_stream *as, u_int8_t *key, int keylen)
{
  int n;
  u_int8_t si;

  for (n = 0; n < 256; n++)
    as->s[n] = n;
  as->i = 255;
  as->j = 0;
  for (n = 0; n < 256; n++) {
    as->i = (as->i + 1) & 0xff;
    si = as->s[as->i];
    as->j = (as->j + si + key[n % keylen]) & 0xff;
    as->s[as->i] = as->s[as->j];
    as->s[as->j] = si;
  }
}
