/* Borrowed from dm's SFS */
/* $Id: mpaux.h,v 1.1 1999/02/16 18:37:48 fubobb Exp $ */

#ifndef _MPAUX_H_
#define _MPAUX_H_ 1

#include <gmp.h>
#include "randoms.h"

void mpz_setscrub (void);
int mpz_get_raw (u_char *, int, mpz_t);
void mpz_set_raw (mpz_t, const u_char *, int);
void mpz_random_integer(mpz_t, RandomState *, u_int);
void mpz_xor(mpz_t, mpz_t);
bool_t xdr_mpz_t (register XDR *xdrs, MP_INT *z);
void mpz_print (mpz_t z); /* debugging */


#endif /* _MPAUX_H_ */
