/* Portions borrowed from Pat McCormick <pmccormi@mit.edu>
**
** $Id: ASSERT.c,v 1.2 1998/11/16 01:53:41 fubobb Exp $ 
**
*/

#include <stdlib.h>
#include <stdio.h>

/*
** _Assert: Prints out an error message indicating in which file (strFile) and on which
**          line (uLine) an assertion failed.
*/
void _Assert(char *strFile, unsigned uLine)
{
  fflush(NULL);
  fprintf(stderr, "\nAssertion failed: %s, line %u\n",
          strFile, uLine);
  fflush(stderr);
  abort();
}
