/* Portions borrowed from Pat McCormick <pmccormi@mit.edu>
**
** $Id: ASSERT.h,v 1.2 1998/11/16 01:53:43 fubobb Exp $ 
**
*/

#ifndef _ASSERT_HEADER
#define _ASSERT_HEADER

#ifdef DEBUG

#ifdef __cplusplus
extern "C" {
#endif

void _Assert(char *, unsigned);

#ifdef __cplusplus
}
#endif

#define ASSERT(f)\
    if (f)       \
       {}        \
    else         \
        _Assert(__FILE__,__LINE__)

#else /* if not DEBUG */

#define ASSERT(f)

#endif

#endif /* _ASSERT_HEADER */
