/* $Id: switch.S,v 1.1 1998/10/21 18:33:47 fubobb Exp $ */

#define	v0	$0	/* (T)		return value		*/
#define t0	$1	/* (T)		temporary registers	*/
#define t1	$2
#define t2	$3
#define t3	$4
#define t4	$5
#define t5	$6
#define t6	$7
#define t7	$8

#define s0	$9	/* (S)		call-safe registers	*/
#define s1	$10
#define s2	$11
#define s3	$12
#define s4	$13
#define s5	$14
#define s6	$15
#define a0	$16	/* (T)		argument registers	*/
#define a1	$17
#define a2	$18
#define a3	$19
#define a4	$20
#define a5	$21
#define t8	$22	/* (T)		temporary registers	*/
#define t9	$23
#define t10	$24
#define t11	$25
#define ra	$26	/* (T)		return address		*/
#define t12	$27	/* (T)		another temporary	*/
#define at_reg	$28	/* (T)		assembler scratch	*/
#define	gp	$29	/* (T)		(local) data pointer	*/
#define sp	$30	/* (S)		stack pointer		*/
#define zero	$31	/* 		wired zero		*/

/* Floating point registers  (XXXX VERIFY THIS) */
#define	fv0	$f0	/* (T)		return value (real)	*/
#define	fv1	$f1	/* (T)		return value (imaginary)*/
#define	ft0	fv1
#define	fs0	$f2	/* (S)		call-safe registers	*/
#define	fs1	$f3
#define	fs2	$f4
#define	fs3	$f5
#define	fs4	$f6
#define	fs5	$f7
#define	fs6	$f8
#define	fs7	$f9
#define	ft1	$f10	/* (T)		temporary registers	*/
#define	ft2	$f11
#define	ft3	$f12
#define	ft4	$f13
#define	ft5	$f14
#define	ft6	$f15
#define	fa0	$f16	/* (T)		argument registers	*/
#define	fa1	$f17
#define	fa2	$f18
#define	fa3	$f19
#define	fa4	$f20
#define	fa5	$f21
#define	ft7	$f22	/* (T)		more temporaries	*/
#define	ft8	$f23
#define	ft9	$f24
#define	ft10	$f25
#define	ft11	$f26
#define	ft12	$f27
#define	ft13	$f28
#define	ft14	$f29
#define	ft15	$f30
#define	fzero	$f31	/*		wired zero		*/


/* Other DEC standard names */
#define ai	$25	/* (T)		argument information	*/
#define pv	$27	/* (T)		procedure value		*/

#define ENTRY(fn)		  \
	.globl	fn		; \
	.ent	fn,0		; \
fn:

#define END(fn) .end fn

	.set noreorder

	.text

ENTRY(thread_md_switch)
	ldgp	gp,0(pv)

	lda	sp,-128(sp)

	stt	fs7,120(sp)
	stt	fs6,112(sp)
	stt	fs5,104(sp)
	stt	fs4,96(sp)
	stt	fs3,88(sp)
	stt	fs2,80(sp)
	stt	fs1,72(sp)
	stt	fs0,64(sp)

	stq	s6,56(sp)
	stq	s5,48(sp)
	stq	s4,40(sp)
	stq	s3,32(sp)
	stq	s2,24(sp)
	stq	s1,16(sp)
	stq	s0,8(sp)
	stq	ra,0(sp)

	stq	sp,0(a0)
	ldq	sp,0(a1)

	ldq	ra,0(sp)
	ldq	s0,8(sp)
	ldq	s1,16(sp)
	ldq	s2,24(sp)
	ldq	s3,32(sp)
	ldq	s4,40(sp)
	ldq	s5,48(sp)
	ldq	s6,56(sp)

	ldt	fs0,64(sp)
	ldt	fs1,72(sp)
	ldt	fs2,80(sp)
	ldt	fs3,88(sp)
	ldt	fs4,96(sp)
	ldt	fs5,104(sp)
	ldt	fs6,112(sp)
	ldt	fs7,120(sp)

	lda	sp,128(sp)
	
	ret	zero,(ra),1
END(thread_md_switch)

ENTRY(thread_md_begin)
	ldgp	gp,0(ra)
	lda	pv,thread_begin
	bis	s0,s0,a0
	bis	s1,s1,a1
	bis	s2,s2,a2
	bis	zero,zero,ra
	jsr	zero,(pv)
END(thread_md_begin)

ENTRY(thread_md_getsp)
	ldgp	gp,0(pv)
	bis	sp,sp,v0
	ret	zero,(ra),1
END(thread_md_getsp)
