/* $Id: assert.h,v 1.1 1998/10/21 18:32:51 fubobb Exp $ */

#ifndef _UPT_ASSERT_H_
#define _UPT_ASSERT_H_ 1

void thread_panic (char *);

#undef assert
#ifndef NDEBUG
#define ___assert_stringify(x) #x
#define __assert_stringify(x) ___assert_stringify(x)
#define	assert(e) ((e) ? (void) 0					\
		   : thread_panic ("assertion failed: " __FILE__ ":"	\
				   __assert_stringify (__LINE__)	\
				   ": " #e "\n"))
#else /* NDEBUG */
#define	assert(e)	((void) 0)
#endif /* NDEBUG */

#endif /* !_UPT_ASSERT_H_ */
