/* $Id: compat.h,v 1.1 1998/10/21 18:32:53 fubobb Exp $ */

#ifndef _UPT_COMPAT_H_
#define _UPT_COMPAT_H_ 1

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <config.h>

#ifdef __cplusplus
#include <stddef.h>
#undef NULL
#define NULL 0
#endif __cplusplus

#if !defined __attribute__ && __GNUC__ != 2
#define __attribute__(x)
#endif /* !GCC 2 */

#if !defined (DMALLOC) && !defined (bzero)
#include <string.h>
#define bzero(b, l) memset((void *) (b), 0, (l))
#endif

#ifndef HAVE_TIMESPEC
struct timespec {
  time_t  tv_sec;
  long    tv_nsec;
};
#endif /* !HAVE_TIMESPEC */

#ifndef HAVE_CLOCK_GETTIME_DECL
#ifndef CLOCK_REALTIME
#define CLOCK_REALTIME 0
#endif /* !CLOCK_REALTIME */
struct timespec;
int clock_gettime (int, struct timespec *);
#endif /* !HAVE_CLOCK_GETTIME_DECL */

#if defined(HAVE_ACCRIGHTS) || defined(HAVE_CMSGHDR)
#define HAVE_FDPASS
#endif /* HAVE_ACCRIGHTS && HAVE_CMSGHDR */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* !_UPT_COMPAT_H_ */
