/* $Id: t2.cc,v 1.1 1998/10/21 18:33:35 fubobb Exp $ */

#include <stdio.h>
#include <unistd.h>
#include <string.h>

#include "upt.h"

mutex m;
condition cv, cv2;

void
tt3 (void *_s)
{
  int i;
  char *s = (char *) _s;

  for (;;) {
    mutex_lock (m);
    for (i = 0; i < 1000000; i++)
      ;
    printf ("%s\n", s);
    mutex_unlock (m);
  }
}

void
tt2b (void *)
{
  mutex_lock (m);
  cv2.signal ();
  condition_wait (m, cv);
  fprintf (stderr, "I'm another thread.\n");
  mutex_unlock (m);
  thread_exit ();
}

void
tt2 (void *)
{
  mutex_lock (m);
  condition_wait (m, cv);
  fprintf (stderr, "I'm another thread.\n");
  mutex_unlock (m);
  thread_exit ();
}

void
tt (void *)
{
  int id;

  fprintf (stderr, "I'm a thread.\n");
  thread_fork (tt2, NULL);
  thread_fork (tt2, NULL);
  thread_fork (tt2, NULL);
  m.lock ();
  id = thread_fork (tt2b, NULL);
  fprintf (stderr, "I'm a thread.\n");

  cv2.wait (m);
  m.unlock ();

  condition_broadcast (cv);
  thread_join (id);

  fprintf (stderr, "Bye.\n");

#if 0
  for (;;)
    ;

  thread_fork (tt3, "one\n");
  thread_fork (tt3, "two\n");
#endif

  thread_exit ();
}

int
main ()
{
  write (1, "hello\n", 6);
  thread_initialize (tt, NULL);
  return 0;
}

